Package com.google.android.exoplayer2.source.dash

## Interface DashChunkSource

- All Superinterfaces:
    `ChunkSource`
  All Known Implementing Classes:
    `DefaultDashChunkSource`

      public interface DashChunkSource
      extends ChunkSource

  A `ChunkSource` for DASH streams.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `DashChunkSource.Factory` | Factory for `DashChunkSource`s.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `updateManifest​(DashManifest newManifest, int periodIndex)` | Updates the manifest.
    `void` | `updateTrackSelection​(ExoTrackSelection trackSelection)` | Updates the track selection.

    - ### Methods inherited from interface com.google.android.exoplayer2.source.chunk.ChunkSource

      `getAdjustedSeekPositionUs, getNextChunk, getPreferredQueueSize, maybeThrowError, onChunkLoadCompleted, onChunkLoadError, release, shouldCancelLoad`

- - ### Method Detail

    - #### updateManifest

          void updateManifest​(DashManifest newManifest,
                              int periodIndex)

      Updates the manifest.
      Parameters:
        `newManifest` - The new manifest.

    - #### updateTrackSelection

          void updateTrackSelection​(ExoTrackSelection trackSelection)

      Updates the track selection.
      Parameters:
        `trackSelection` - The new track selection instance. Must be equivalent to the previous one.